<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/llChatInputRoot"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="84dp"
    android:background="#000000">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:paddingLeft="15dp"
        android:paddingRight="15dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_white"
            android:textSize="@dimen/ezm_f28"
            android:text="@string/ys_mt_room_chat_send_pre"/>
        <TextView
            android:id="@+id/tvInputNickName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="5dp"
            android:singleLine="true"
            android:maxLength="20"
            android:ellipsize="end"
            android:textColor="@color/ezm_c1"
            android:textSize="@dimen/ezm_f28"
            android:text="@string/ys_mt_room_chat_send_all"/>
        <com.ez.ertc.call.ui.widget.MtTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="5dp"
            android:textSize="4dp"
            android:textColor="@color/ezm_c1"
            android:text="@string/ezm_icon_triangle"/>
        <TextView
            android:id="@+id/tvInputPrivate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="invisible"
            android:textSize="@dimen/ezm_f28"
            android:textColor="#F78900"
            android:text="@string/ys_mt_room_chat_private"/>
    </LinearLayout>
    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="32dp"
        android:layout_marginLeft="15dp"
        android:layout_marginRight="15dp"
        android:layout_gravity="center"
        app:cardCornerRadius="2dp"
        app:cardBackgroundColor="#1F1F22"
        app:cardElevation="0dp"
        >
        <EditText
            android:id="@+id/etInputEdit"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@null"
            android:gravity="center_vertical"
            android:paddingLeft="16dp"
            android:imeOptions="actionSend"
            android:hint="@string/ys_mt_room_mem_manage_input_hint"
            android:maxLength="128"
            android:singleLine="true"
            android:textColor="@color/ezm_white"
            android:textColorHint="@color/ezm_c4"
            android:textCursorDrawable="@null"
            android:textSize="@dimen/ezm_f28"
            />
    </androidx.cardview.widget.CardView>

</LinearLayout>